aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeon Anavi <leon.anavi@konsulko.com>2018-05-28 22:33:21 +0300
committerArmin Kuster <akuster808@gmail.com>2018-11-26 08:48:11 -0700
commit03a7bad10a6d9b905bdcc7171f448d3121937295 (patch)
treedb3d8e64aa7b1f25c399174eadb40428f2119aad
parent8fe066cca1e2f22c26eecedfea8fc0533001a681 (diff)
downloadmeta-openembedded-contrib-03a7bad10a6d9b905bdcc7171f448d3121937295.tar.gz
meta-openembedded-contrib-03a7bad10a6d9b905bdcc7171f448d3121937295.tar.bz2
meta-openembedded-contrib-03a7bad10a6d9b905bdcc7171f448d3121937295.zip
rygel: Update license to LGPLv2.1
Fix the warning below and set proper license according to the content of file COPYING in Rygel: WARNING: rygel-0.34.0-r0 do_populate_lic: rygel: \ No generic license file exists for: LGPL1.1 in any provider According to a git commit in Rygel made two years ago by Jens Georg: "all: Update license text to LGPLv2.1 proper We always claimed being LGPLv2.1 but the license text said differently." In the same time the tag for Rygel 0.34 has been created on 20 March 2017, aka after this git commit. For more details: https://gitlab.gnome.org/GNOME/rygel/commit/cdcb6bd55efd0c3b7a2fd4ae5c3d8556f69f8402 Furthermore, the changelog of Rygel 0.34.0 also indicates that the license is LGPLv2.1+ (after a fix in release 0.29.1): https://abi-laboratory.pro/tracker/changelog/rygel/0.34.0/log.html Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
-rw-r--r--meta-multimedia/recipes-connectivity/rygel/rygel_0.34.0.bb2
1 files changed, 1 insertions, 1 deletions
diff --git a/meta-multimedia/recipes-connectivity/rygel/rygel_0.34.0.bb b/meta-multimedia/recipes-connectivity/rygel/rygel_0.34.0.bb
index e94c9ff8db..f13f5cec06 100644
--- a/meta-multimedia/recipes-connectivity/rygel/rygel_0.34.0.bb
+++ b/meta-multimedia/recipes-connectivity/rygel/rygel_0.34.0.bb
@@ -5,7 +5,7 @@ Additionally, media player software may use Rygel to become a MediaRenderer \
that may be controlled remotely by a UPnP or DLNA Controller."
HOMEPAGE = "http://live.gnome.org/Rygel"
-LICENSE = "LGPL1.1+"
+LICENSE = "LGPL-2.1"
LIC_FILES_CHKSUM = "file://COPYING;md5=4fbd65380cdd255951079008b364516c"
DEPENDS = "libxml2 glib-2.0 gssdp gupnp gupnp-av gupnp-dlna gstreamer1.0 gstreamer1.0-plugins-base ossp-uuid libgee libsoup-2.4 libmediaart-2.0 libunistring sqlite3 intltool-native"